﻿using MasterDetail.Core;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace MasterDetail.Models
{
  public  class MasterItem
    {
        public string Header { get; set; }
        public string ImagePath { get; set; }
        public ChildViewBase ViewModel { get; set; }

        public MasterItem(string imagePath, ChildViewBase viewModel)
        {
            Header = viewModel.HeaderText;
            ImagePath = imagePath;
            ViewModel = viewModel;
        }

    
    }
}
